import React from 'react';
import { MapViewProps, LatLng, Region } from 'react-native-maps';
export declare const MapInputVariants: Readonly<{
    BY_REGION: "by-region";
    BY_MARKER: "by-marker";
}>;
export interface MapInputProps extends MapViewProps {
    region: Region;
    variant?: 'by-region' | 'by-marker';
    /**
     * The size of the icon in the center of the "by-region" variant map
     *
     * @default 50
     */
    targetIconSize?: number;
    /**
     * The color of the icon in the center of the "by-region" variant map
     *
     * @default 50
     */
    targetIconColor?: string;
    /**
     * A component of the icon in the center of the "by-region" variant map
     * otherwise it will use the default icon
     */
    TargetIconComponent?: React.ComponentType<any>;
    onChange?: (coordinate: LatLng) => void;
}
export declare const MapInput: React.FC<MapInputProps>;
export default MapInput;
